Name:           CastPodder
Version:        5.0
Release:        11%{?dist}
Summary:        CastPodder is a Media Aggregator
License:        GPL
URL:            http://dev-1.borgforge.net:82/castpodder/wiki/Downloads
Group:          Applications/Multimedia
Source:         http://dev-1.borgforge.net/castpodder/chrome/site/downloads/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png
Source2:        %{name}-32.png
Source3:        %{name}-48.png
Patch0:         webbrowser.patch
Patch1:         CastPodder-5.0-indent.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       wxPython, pyxmms, python
BuildRequires:  desktop-file-utils

%description
CastPodder is technically a "Media Aggregator,"
a program that allows you to select and download audio
files from anywhere on the Internet to your desktop.

CastPodder makes the process easy by helping you select audio files
from among the thousands of audio sources on the web and downloading
those files to your computer. Once you select a feed or location,
it will download those files automatically at times you specify
and have the files waiting for you on your computer,
so you don't have to spend a lot of time manually selecting and waiting
for downloads. You can play your selected audio files using iTunes
or other "jukebox" software, or load them on to your iPod or other
portable digital media player to play anytime you want.

%prep
%setup -q -n castpodder
sed -i -e "s!python!%{_bindir}/python!g" localization/catalog/*.py
sed -i -e "s!/opt!%{_datadir}/!g" CastPodder.sh
sed -i -e "s!/bin/python!%{_bindir}/python!g" ipodder/contrib/GenericDispatch.py
sed -i 's/\r//' localization/catalog/__init__.py
sed -i 's/\r//' localization/catalog/ru.py
sed -i 's/\r//' localization/catalog/pl.py
sed -i 's/\r//' localization/catalog/sr.py
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf %buildroot
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -f -R * %{buildroot}/%{_datadir}/%{name}
cp -f %{buildroot}/%{_datadir}/%{name}/%{name}.sh %{buildroot}/%{_bindir}/%{name}
chmod -R 755 %{buildroot}/%{_datadir}/%{name}/*.py
chmod -R 755 %{buildroot}/%{_datadir}/%{name}/localization/catalog/*.py
chmod -R 755 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/*.py
chmod -R 755 %{buildroot}/%{_datadir}/%{name}/tools/*.py
chmod -R 755 %{buildroot}/%{_datadir}/%{name}/Resources/postflight
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/updater.py
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/__init__.py
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/bloglines.py
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/portalocker.py
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/webbrowser.py
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/urlnorm.py
chmod -R 644 %{buildroot}/%{_datadir}/%{name}/ipodder/contrib/PyRSS2Gen.py

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=CastPodder
Comment=Media Agregator
Exec=CastPodder
Icon=CastPodder.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=AudioVideo;Audio;
EOF

desktop-file-install --dir %{buildroot}/%{_datadir}/applications/ \
  --add-category X-Fedora \
  --vendor fedora \
  --delete-original \
  %{name}.desktop

install -m644 %{SOURCE1} -D %{buildroot}/%{_datadir}/icons/mini/%{name}.png
install -m644 %{SOURCE2} -D %{buildroot}/%{_datadir}/icons/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}/%{_datadir}/icons/large/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS README NOTES LICENSE ChangeLog TODO KNOWN-ISSUES docs
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/%{name}.png
%{_datadir}/icons/large/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Thu Nov 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 5.0-11
- fix translation indentation

* Thu Sep 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-8
- Fixed ownership problem

* Fri Jul 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-7
- Patched for corrected web browser names

* Wed Jun 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-6
- Added patch to GenericDispatch.py
- Fixed error causing app to not start (looks for opt)

* Tue Jun 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-5
- Fixed the problem in localization
- removed BR python-devel
- altered some files to 0755 from 0644
- fixed line ends
- fixed missing shebangs from ipodder directory files

* Tue Jun 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-4
- Added BR desktop-file-utils

* Mon Jun 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-3
- Changed now to noarch
- Removed the pre
- Changed from install to opt to install to datadir
- Various spec file fixes

* Sun Jun 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-2
- Doh! Needed to rename some of the Reqs
- Fixed menus (post and postun)
- Altered the group
- Removed the original menu entry bit
- Added desktop-file-install script

* Sun Jun 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.0-1
- Initial import for FC
- Spec file modifications

* Sat Apr 01 2006 Scott Grayban <sgrayban@castpodder.net> 5.0
 - New version release from the CastPodder Team

* Sat Nov 19 2005 Scott Grayban <sgrayban@castpodder.net> 3.2
 - New version release from the CastPodder Team

* Sat Nov 12 2005 Scott Grayban <sgrayban@castpodder.net> 3.1
 - New version release from the CastPodder Team

* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us> 3.0
 - New version release from the CastPodder Team
